Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.svm.training
Class SVMSearchTrain

    java.lang.Object
      org.encog.ml.train.BasicTraining
          org.encog.ml.svm.training.SVMSearchTrain

All Implemented Interfaces:
  MLTrain

    public class SVMSearchTrain

extends BasicTraining

Provides training for Support Vector Machine networks.

Field Summary
`static double` | `DEFAULT_CONST_BEGIN` The default starting number for C.
`static double` | `DEFAULT_CONST_END` The default ending number for C.
`static double` | `DEFAULT_CONST_STEP` The default step for C.
`static double` | `DEFAULT_GAMMA_BEGIN` The default gamma begin.
`static double` | `DEFAULT_GAMMA_END` The default gamma end.
`static double` | `DEFAULT_GAMMA_STEP` The default gamma step.

Constructor Summary
`SVMSearchTrain(SVM method, MLDataSet training)` Construct a trainer for an SVM network.

Method Summary
`boolean` | `canContinue()`
`void` | `finishTraining()` Should be called after training has completed and the iteration method will not be called any further.
`double` | `getBestConst()`
`double` | `getBestGamma()`
`double` | `getConstBegin()`
`double` | `getConstEnd()`
`double` | `getConstStep()`
`int` | `getFold()`
`double` | `getGammaBegin()`
`double` | `getGammaEnd()`
`double` | `getGammaStep()`
`MLMethod` | `getMethod()` Get the current best machine learning method from the training.
`boolean` | `isTrainingDone()`
`void` | `iteration()` Perform one training iteration.
`TrainingContinuation` | `pause()` Pause the training to continue later.
`void` | `resume(TrainingContinuation state)` Resume training.
`void` | `setBestConst(double bestConst)`
`void` | `setBestGamma(double bestGamma)`
`void` | `setConstBegin(double theConstBegin)`
`void` | `setConstEnd(double theConstEnd)`
`void` | `setConstStep(double theConstStep)`
`void` | `setFold(int theFold)`
`void` | `setGammaBegin(double theGammaBegin)`
`void` | `setGammaEnd(double theGammaEnd)`
`void` | `setGammaStep(double theGammaStep)`

Methods inherited from class org.encog.ml.train.BasicTraining
`addStrategy, getError, getImplementationType, getIteration, getStrategies, getTraining, iteration, postIteration, preIteration, setError, setIteration, setTraining`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CONST_BEGIN

    public static final double DEFAULT_CONST_BEGIN

  The default starting number for C.

  See Also:
    Constant Field Values

### DEFAULT_CONST_END

    public static final double DEFAULT_CONST_END

  The default ending number for C.

  See Also:
    Constant Field Values

### DEFAULT_CONST_STEP

    public static final double DEFAULT_CONST_STEP

  The default step for C.

  See Also:
    Constant Field Values

### DEFAULT_GAMMA_BEGIN

    public static final double DEFAULT_GAMMA_BEGIN

  The default gamma begin.

  See Also:
    Constant Field Values

### DEFAULT_GAMMA_END

    public static final double DEFAULT_GAMMA_END

  The default gamma end.

  See Also:
    Constant Field Values

### DEFAULT_GAMMA_STEP

    public static final double DEFAULT_GAMMA_STEP

  The default gamma step.

  See Also:
    Constant Field Values

Constructor Detail

### SVMSearchTrain

    public SVMSearchTrain(SVM method,
                          MLDataSet training)

  Construct a trainer for an SVM network.

  Parameters:
    `method` - The method to train.
    `training` - The training data for this network.

Method Detail

### canContinue

    public boolean canContinue()

  Returns:
    True if the training can be paused, and later continued.

### finishTraining

    public void finishTraining()

  Should be called after training has completed and the iteration method will not be called any further.

  Specified by:
    `finishTraining` in interface `MLTrain`
  Overrides:
    `finishTraining` in class `BasicTraining`

### getConstBegin

    public double getConstBegin()

  Returns:
    the constBegin

### getConstEnd

    public double getConstEnd()

  Returns:
    the constEnd

### getConstStep

    public double getConstStep()

  Returns:
    the constStep

### getFold

    public int getFold()

  Returns:
    the fold

### getGammaBegin

    public double getGammaBegin()

  Returns:
    the gammaBegin

### getGammaEnd

    public double getGammaEnd()

  Returns:
    the gammaEnd

### getGammaStep

    public double getGammaStep()

  Returns:
    the gammaStep

### getMethod

    public MLMethod getMethod()

  Get the current best machine learning method from the training.

  Returns:
    The best machine learningm method.

### isTrainingDone

    public boolean isTrainingDone()

  Specified by:
    `isTrainingDone` in interface `MLTrain`
  Overrides:
    `isTrainingDone` in class `BasicTraining`
  Returns:
    True if the training is done.

### iteration

    public void iteration()

  Perform one training iteration.

### pause

    public TrainingContinuation pause()

  Pause the training to continue later.

  Returns:
    A training continuation object.

### resume

    public void resume(TrainingContinuation state)

  Resume training.

  Parameters:
    `state` - The training continuation object to use to continue.

### setConstBegin

    public void setConstBegin(double theConstBegin)

  Parameters:
    `theConstBegin` - the constBegin to set

### setConstEnd

    public void setConstEnd(double theConstEnd)

  Parameters:
    `theConstEnd` - the constEnd to set

### setConstStep

    public void setConstStep(double theConstStep)

  Parameters:
    `theConstStep` - the constStep to set

### setFold

    public void setFold(int theFold)

  Parameters:
    `theFold` - the fold to set

### setGammaBegin

    public void setGammaBegin(double theGammaBegin)

  Parameters:
    `theGammaBegin` - the gammaBegin to set

### setGammaEnd

    public final void setGammaEnd(double theGammaEnd)

  Parameters:
    `theGammaEnd` - the gammaEnd to set.

### setGammaStep

    public final void setGammaStep(double theGammaStep)

  Parameters:
    `theGammaStep` - the gammaStep to set

### getBestConst

    public double getBestConst()

  Returns:
    the bestConst

### setBestConst

    public void setBestConst(double bestConst)

  Parameters:
    `bestConst` - the bestConst to set

### getBestGamma

    public double getBestGamma()

  Returns:
    the bestGamma

### setBestGamma

    public void setBestGamma(double bestGamma)

  Parameters:
    `bestGamma` - the bestGamma to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.